<!DOCTYPE html>
<html><head>
<title>eric7.UI.AuthenticationDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.UI.AuthenticationDialog</h1>
<p>
Module implementing the authentication dialog for the help browser.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#AuthenticationDialog">AuthenticationDialog</a></td>
<td>Class implementing the authentication dialog for the help browser.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="AuthenticationDialog" ID="AuthenticationDialog"></a>
<h2>AuthenticationDialog</h2>
<p>
    Class implementing the authentication dialog for the help browser.
</p>

<h3>Derived from</h3>
QDialog, Ui_AuthenticationDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#AuthenticationDialog.__init__">AuthenticationDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#AuthenticationDialog.getData">getData</a></td>
<td>Public method to retrieve the login data.</td>
</tr>
<tr>
<td><a href="#AuthenticationDialog.setData">setData</a></td>
<td>Public method to set the login data.</td>
</tr>
<tr>
<td><a href="#AuthenticationDialog.shallSave">shallSave</a></td>
<td>Public method to check, if the login data shall be saved.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="AuthenticationDialog.__init__" ID="AuthenticationDialog.__init__"></a>
<h4>AuthenticationDialog (Constructor)</h4>
<b>AuthenticationDialog</b>(<i>info, username, showSave=False, saveIt=False, parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>info</i> (str)</dt>
<dd>
information to be shown
</dd>
<dt><i>username</i> (str)</dt>
<dd>
username as supplied by subversion
</dd>
<dt><i>showSave</i> (bool)</dt>
<dd>
flag to indicate to show the save checkbox
</dd>
<dt><i>saveIt</i> (bool)</dt>
<dd>
flag indicating the value for the save checkbox
</dd>
<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="AuthenticationDialog.getData" ID="AuthenticationDialog.getData"></a>
<h4>AuthenticationDialog.getData</h4>
<b>getData</b>(<i></i>)
<p>
        Public method to retrieve the login data.
</p>

<dl>
<dt>Return:</dt>
<dd>
tuple containing the user name and password
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of (str, str)
</dd>
</dl>
<a NAME="AuthenticationDialog.setData" ID="AuthenticationDialog.setData"></a>
<h4>AuthenticationDialog.setData</h4>
<b>setData</b>(<i>username, password</i>)
<p>
        Public method to set the login data.
</p>

<dl>

<dt><i>username</i> (str)</dt>
<dd>
username
</dd>
<dt><i>password</i> (str)</dt>
<dd>
password
</dd>
</dl>
<a NAME="AuthenticationDialog.shallSave" ID="AuthenticationDialog.shallSave"></a>
<h4>AuthenticationDialog.shallSave</h4>
<b>shallSave</b>(<i></i>)
<p>
        Public method to check, if the login data shall be saved.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating that the login data shall be saved
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
